Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(32)

Issue 68123003: Implement a NEON version of morphology. This is good for ~2.2X speedup on Tegra3. (Closed)

Created:
5 years, 7 months ago by Stephen White
Modified:
5 years, 7 months ago
Reviewers:
mtklein, djsollen, reed1
CC:
skia-review_googlegroups.com, djsollen
Visibility:
Public.

Description

Implement a NEON version of morphology. This is good for ~2.2X speedup on Tegra3. R=mtklein@google.com, mtklein, reed@google.com Committed: https://code.google.com/p/skia/source/detail?r=12219

Patch Set 1 #

Patch Set 2 : Implement runtime NEON detection. #

Total comments: 1

Patch Set 3 : Fix ARM_NEON_IS_NONE. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+48 lines, -21 lines) Patch
M gyp/opts.gyp View 2 chunks +1 line, -1 line 0 comments Download
A + src/opts/SkMorphology_opts_neon.h View 1 chunk +4 lines, -4 lines 0 comments Download
A + src/opts/SkMorphology_opts_neon.cpp View 1 4 chunks +17 lines, -16 lines 0 comments Download
M src/opts/opts_check_arm.cpp View 1 2 2 chunks +26 lines, -0 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
Stephen White
Mike &| Mike: PTAL. It doesn't look like we do runtime detection of NEON as ...
5 years, 7 months ago (2013-11-10 22:05:34 UTC) #1
Tom Hudson
On 2013/11/10 22:05:34, Stephen White wrote: > Mike &| Mike: PTAL. > > It doesn't ...
5 years, 7 months ago (2013-11-11 12:38:35 UTC) #2
djsollen
We do have runtime neon detection and chrome definitely ships with it. See SkUtilsArm.h and ...
5 years, 7 months ago (2013-11-11 13:12:23 UTC) #3
Stephen White
On 2013/11/11 13:12:23, djsollen wrote: > We do have runtime neon detection and chrome definitely ...
5 years, 7 months ago (2013-11-11 15:50:19 UTC) #4
mtklein
https://codereview.chromium.org/68123003/diff/50001/src/opts/opts_check_arm.cpp File src/opts/opts_check_arm.cpp (right): https://codereview.chromium.org/68123003/diff/50001/src/opts/opts_check_arm.cpp#newcode71 src/opts/opts_check_arm.cpp:71: SkMorphologyProc SkMorphologyGetPlatformProc(SkMorphologyProcType type) { I think for completeness' sake, ...
5 years, 7 months ago (2013-11-11 16:05:55 UTC) #5
Stephen White
On 2013/11/11 16:05:55, mtklein wrote: > https://codereview.chromium.org/68123003/diff/50001/src/opts/opts_check_arm.cpp > File src/opts/opts_check_arm.cpp (right): > > https://codereview.chromium.org/68123003/diff/50001/src/opts/opts_check_arm.cpp#newcode71 > ...
5 years, 7 months ago (2013-11-11 16:17:12 UTC) #6
mtklein
On 2013/11/11 16:17:12, Stephen White wrote: > On 2013/11/11 16:05:55, mtklein wrote: > > > ...
5 years, 7 months ago (2013-11-11 16:28:52 UTC) #7
Stephen White
On 2013/11/11 16:28:52, mtklein wrote: > On 2013/11/11 16:17:12, Stephen White wrote: > > On ...
5 years, 7 months ago (2013-11-11 16:32:19 UTC) #8
Stephen White
5 years, 7 months ago (2013-11-11 16:49:02 UTC) #9
Message was sent while issue was closed.
Committed patchset #3 manually as r12219 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698